(function() {
	/******************************************
	 * Globalization
	 * 端末に設定された言語やロケールを取得する
	 ******************************************/

	/*
	 * 端末に設定された言語を取得
	 */
	getPreferredLanguage = function() {
		applican.globalization.getPreferredLanguage(getPreferredLanguageSuccess, getPreferredLanguageError);
	};

	/*
	 * 端末に設定された言語を取得成功した時のコールバック
	 */
	getPreferredLanguageSuccess = function(language) {
		var dump = "言語を取得しました\n";
		dump    += "言語：" + language.value + "\n";
		alert("言語：" + language.value);
		document.getElementById("dumpAreaGlobalization").value = dump;
	};

	/*
	 * 端末に設定された言語を取得失敗した時のコールバック
	 * err.code : エラーコード
	 *		0	GlobalizationError.UNKNOWN_ERROR
	 *		1	GlobalizationError.FORMATTING_ERROR
	 *		2	GlobalizationError.PARSING_ERROR
	 *		3	GlobalizationError.PATTERN_ERROR
	 */
	getPreferredLanguageError = function(err) {
		var dump = "言語を取得失敗しました\n";
		dump    += "code: " + err.code + "\n";
		document.getElementById("dumpAreaGlobalization").value = dump;
	};

	/*
	 * 端末に設定されたロケールを取得
	 */
	getLocaleName = function() {
		applican.globalization.getLocaleName(getLocaleNameSuccess, getLocaleNameError);
	};

	/*
	 * 端末に設定されたロケールを取得成功した時のコールバック
	 */
	getLocaleNameSuccess = function(locale) {
		var dump = "ロケールを取得しました\n";
		dump    += "ロケール：" + locale.value + "\n";
		alert("ロケール：" + locale.value);
		document.getElementById("dumpAreaGlobalization").value = dump;
	};

	/*
	 * 端末に設定されたロケールを取得失敗した時のコールバック
	 */
	getLocaleNameError = function(err) {
		var dump = "ロケールを取得失敗しました\n";
		dump    += "code: " + err.code + "\n";
		document.getElementById("dumpAreaGlobalization").value = dump;
	};

	/*
	 * 端末に設定された国コードを取得
	 */
	getCountry = function() {
		applican.globalization.getCountry(getCountrySuccess, getCountryError);
	};

	/*
	 * 端末に設定された国コードを取得成功した時のコールバック
	 */
	getCountrySuccess = function(country) {
		var dump = "国コードを取得しました\n";
		dump    += "国コード：" + country.value + "\n";
		alert("国コード：" + country.value);
		document.getElementById("dumpAreaGlobalization").value = dump;
	};

	/*
	 * 端末に設定された国コードを取得失敗した時のコールバック
	 */
	getCountryError = function(err) {
		var dump = "国コードを取得失敗しました\n";
		dump    += "code: " + err.code + "\n";
		document.getElementById("dumpAreaGlobalization").value = dump;
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「言語の識別文字列」ボタン押下処理
		document.getElementById("getPreferredLanguageBtn").addEventListener("touchend", getPreferredLanguage, false);
		// 「現在のロケール」ボタン押下処理
		document.getElementById("getLocaleNameBtn").addEventListener("touchend", getLocaleName, false);
		// 「現在の国」ボタン押下処理
		document.getElementById("getCountryBtn").addEventListener("touchend", getCountry, false);
	}, false);
})();
